net.snowflake.client.jdbc.cloud.storage

## Class AzureObjectMetadata

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.AzureObjectMetadata

All Implemented Interfaces:
  StorageObjectMetadata

    public class AzureObjectMetadata
    extends Object
    implements StorageObjectMetadata

Implements platform-independent interface Azure BLOB object metadata Only the metadata accessors and mutators used by the JDBC client currently are supported, additional methods should be added as needed

Author:
  lgiakoumakis

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUserMetadata(String key, String value)` Adds the key value pair of custom user-metadata for the associated object.
`String` `getContentEncoding()`
`long` `getContentLength()`
`Map<String,String>` `getUserMetadata()`
`void` `setContentEncoding(String encoding)` Sets the optional Content-Encoding HTTP header specifying what content encodings, have been applied to the object and what decoding mechanisms must be applied, in order to obtain the media-type referenced by the Content-Type field.
`void` `setContentLength(long contentLength)` Sets size of the associated object in bytes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUserMetadata

    public Map<String,String> getUserMetadata()

Specified by:
  `getUserMetadata` in interface `StorageObjectMetadata`
Returns:
  returns a Map/key-value pairs of metadata properties

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `StorageObjectMetadata`
Returns:
  returns the size of object in bytes

#### setContentLength

    public void setContentLength(long contentLength)

Sets size of the associated object in bytes

Specified by:
  `setContentLength` in interface `StorageObjectMetadata`
Parameters:
  `contentLength` - the length of content

#### addUserMetadata

    public void addUserMetadata(String key,
                                String value)

Adds the key value pair of custom user-metadata for the associated object.

Specified by:
  `addUserMetadata` in interface `StorageObjectMetadata`
Parameters:
  `key` - the key of user metadata
  `value` - the value of user metadata

#### setContentEncoding

    public void setContentEncoding(String encoding)

Sets the optional Content-Encoding HTTP header specifying what content encodings, have been applied to the object and what decoding mechanisms must be applied, in order to obtain the media-type referenced by the Content-Type field.

Specified by:
  `setContentEncoding` in interface `StorageObjectMetadata`
Parameters:
  `encoding` - the encoding name using in HTTP header Content-Encoding

#### getContentEncoding

    public String getContentEncoding()

Specified by:
  `getContentEncoding` in interface `StorageObjectMetadata`